# $Revision: 1.259 $, $Date: 2008/10/02 09:15:10 $
#
# TODO:
# - handle locales differently (runtime, since it's possible to do)
# - see ftp://ftp.debian.org/debian/pool/main/m/mozilla-firefox/*diff*
#   for hints how to make locales
# - (12:22:58)  patrys:  can you also move _libdir/mozilla-firefox to just _libdir/firefox?
#   (12:23:25)  patrys:  it's not like we ship official firefox
# - fix wrapper script to allow playing with profiles (must not use -remote)
#
# Conditional build:
%bcond_with	tests		# enable tests (whatever they check)
%bcond_without	gnomeui		# disable gnomeui support
%bcond_without	gnomevfs	# disable GNOME comp. (gconf+libgnome+gnomevfs) and gnomevfs ext.
%bcond_without	gnome		# disable all GNOME components (gnome+gnomeui+gnomevfs)
%bcond_without	kerberos	# disable krb5 support
%bcond_with	xulrunner	# build with system xulrunner

%if %{without gnome}
%undefine	with_gnomeui
%undefine	with_gnomevfs
%endif

Summary:	Firefox Community Edition web browser
Summary(pl.UTF-8):	Firefox Community Edition - przeglądarka WWW
Name:		mozilla-firefox
Version:	3.0.2
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/source/firefox-%{version}-source.tar.bz2
# Source0-md5:	cad90c7d49fa725d42e5beaa2b8ed8e6
Source1:	%{name}.desktop
Source2:	%{name}.sh
Patch0:		%{name}-install.patch
Patch1:		%{name}-gcc3.patch
Patch2:		%{name}-agent.patch
Patch3:		%{name}-agent-ac.patch
Patch4:		%{name}-ti-agent.patch
Patch5:		%{name}-branding.patch
Patch6:		%{name}-prefs.patch
Patch7:		%{name}-nss_cflags.patch
URL:		http://www.mozilla.org/projects/firefox/
%{?with_gnomevfs:BuildRequires:	GConf2-devel >= 1.2.1}
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.6.0
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	glib2-devel
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.0}
BuildRequires:	gtk+2-devel >= 2:2.10
%if "%{pld_release}" == "ac"
%{?with_kerberos:BuildRequires:	heimdal-devel >= 0.7.1}
%else
%{?with_kerberos:BuildRequires:	krb5-devel}
%endif
BuildRequires:	libIDL-devel >= 0.8.0
%{?with_gnomevfs:BuildRequires:	libgnome-devel >= 2.0}
%{?with_gnomeui:BuildRequires:	libgnomeui-devel >= 2.2.0}
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng(APNG)-devel >= 0.10
BuildRequires:	libpng-devel >= 1.2.7
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= 1:4.7
BuildRequires:	nss-devel >= 1:3.12-2
BuildRequires:	pango-devel >= 1:1.10.0
BuildRequires:	perl-modules >= 5.004
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	sqlite3-devel >= 3.5.9
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	startup-notification-devel
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.1
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXt-devel
%endif
%if %{with xulrunner}
BuildRequires:	xulrunner-devel >= 1.9-2
%endif
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.3
Requires(post):	mktemp >= 1.5-18
%if %{without xulrunner}
Requires:	browser-plugins >= 2.0
%endif
Requires:	cairo >= 1.6.0
Requires:	gtk+2 >= 2:2.10
Requires:	libpng(APNG) >= 0.10
Requires:	nspr >= 1:4.7
Requires:	nss >= 1:3.12-2
Requires:	pango >= 1:1.10.0
Requires:	sqlite3 >= 3.5.9
%if %{with xulrunner}
%requires_eq_to	xulrunner xulrunner-devel
%endif
Provides:	wwwbrowser
Obsoletes:	mozilla-firebird
Obsoletes:	mozilla-firefox-lang-en < 2.0.0.8-3
Obsoletes:	mozilla-firefox-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't satisfy other packages (don't use %{name} here)
%define		_noautoprovfiles	%{_libdir}/mozilla-firefox
# and as we don't provide them, don't require either
%define		_noautoreq	libmozjs.so libxpcom.so libxul.so libjemalloc.so

%if "%{cc_version}" >= "3.4"
%define		specflags	-fno-strict-aliasing -fno-tree-vrp -fno-stack-protector
%else
%define		specflags	-fno-strict-aliasing
%endif

%description
Firefox Community Edition is an open-source web browser, designed for
standards compliance, performance and portability.

%description -l pl.UTF-8
Firefox Community Edition jest przeglądarką WWW rozpowszechnianą
zgodnie z ideami ruchu otwartego oprogramowania oraz tworzoną z myślą
o zgodności ze standardami, wydajnością i przenośnością.

%prep
%setup -qc -n %{name}-%{version}
cd mozilla
%patch0 -p1

%if "%{cc_version}" < "3.4"
%patch1 -p2
%endif

%if "%{pld_release}" == "th"
%patch2 -p1
%endif

%if "%{pld_release}" == "ac"
%patch3 -p1
%endif

%if "%{pld_release}" == "ti"
%patch4 -p1
%endif

%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
cd mozilla
cp -f %{_datadir}/automake/config.* build/autoconf
cp -f %{_datadir}/automake/config.* nsprpub/build/autoconf

cat << 'EOF' > .mozconfig
. $topsrcdir/browser/config/mozconfig

mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-%{_target_cpu}

# Options for 'configure' (same as command-line options).
ac_add_options --prefix=%{_prefix}
ac_add_options --exec-prefix=%{_exec_prefix}
ac_add_options --bindir=%{_bindir}
ac_add_options --sbindir=%{_sbindir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --datadir=%{_datadir}
ac_add_options --includedir=%{_includedir}
ac_add_options --libdir=%{_libdir}
ac_add_options --libexecdir=%{_libexecdir}
ac_add_options --localstatedir=%{_localstatedir}
ac_add_options --sharedstatedir=%{_sharedstatedir}
ac_add_options --mandir=%{_mandir}
ac_add_options --infodir=%{_infodir}
%if %{?debug:1}0
ac_add_options --disable-optimize
ac_add_options --enable-debug
ac_add_options --enable-debug-modules
ac_add_options --enable-debugger-info-modules
ac_add_options --enable-crash-on-assert
%else
ac_add_options --disable-debug
ac_add_options --disable-debug-modules
ac_add_options --disable-logging
ac_add_options --enable-optimize="%{rpmcflags} -Os"
%endif
%if %{with tests}
ac_add_options --enable-tests
%else
ac_add_options --disable-tests
%endif
%if %{with gnomeui}
ac_add_options --enable-gnomeui
%else
ac_add_options --disable-gnomeui
%endif
%if %{with gnomevfs}
ac_add_options --enable-gnomevfs
%else
ac_add_options --disable-gnomevfs
%endif
ac_add_options --disable-crashreporter
ac_add_options --disable-installer
ac_add_options --disable-javaxpcom
ac_add_options --disable-updater
ac_add_options --disable-strip
ac_add_options --disable-xprint
ac_add_options --enable-startup-notification
ac_add_options --enable-svg
ac_add_options --enable-system-cairo
ac_add_options --enable-system-sqlite
ac_add_options --enable-libxul
ac_add_options --enable-xinerama
ac_add_options --with-distribution-id=org.pld-linux
%if %{with xulrunner}
ac_add_options --with-libxul-sdk=%{_libdir}/xulrunner-sdk
%endif
ac_add_options --with-pthreads
ac_add_options --with-system-jpeg
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-png
ac_add_options --with-system-zlib
ac_add_options --with-default-mozilla-five-home=%{_libdir}/%{name}
EOF

%{__make} -j1 -f client.mk build \
	STRIP="/bin/true" \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
cd mozilla
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{without xulrunner}
%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins
%endif

%{__make} -C obj-%{_target_cpu}/browser/installer stage-package \
	DESTDIR=$RPM_BUILD_ROOT \
	MOZ_PKG_APPDIR=%{_libdir}/%{name} \
	PKG_SKIP_STRIP=1

# move arch independant ones to datadir
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome $RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults $RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/icons $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/modules $RPM_BUILD_ROOT%{_datadir}/%{name}/modules
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/searchplugins $RPM_BUILD_ROOT%{_datadir}/%{name}/searchplugins
%if %{without xulrunner}
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs $RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/res $RPM_BUILD_ROOT%{_datadir}/%{name}/res
%endif
ln -s ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome
ln -s ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults
ln -s ../../share/%{name}/extensions $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions
ln -s ../../share/%{name}/modules $RPM_BUILD_ROOT%{_libdir}/%{name}/modules
ln -s ../../share/%{name}/icons $RPM_BUILD_ROOT%{_libdir}/%{name}/icons
ln -s ../../share/%{name}/searchplugins $RPM_BUILD_ROOT%{_libdir}/%{name}/searchplugins
%if %{without xulrunner}
ln -s ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs
ln -s ../../share/%{name}/res $RPM_BUILD_ROOT%{_libdir}/%{name}/res
%endif

%if %{without xulrunner}
rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
%endif

sed 's,@LIBDIR@,%{_libdir},' %{SOURCE2} > $RPM_BUILD_ROOT%{_bindir}/mozilla-firefox
ln -s mozilla-firefox $RPM_BUILD_ROOT%{_bindir}/firefox

install browser/base/branding/icon64.png $RPM_BUILD_ROOT%{_pixmapsdir}/mozilla-firefox.png

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# files created by regxpcom and firefox -register
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/compreg.dat
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/xpti.dat

# what's this? it's content is invalid anyway.
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/dependentlibs.list
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/old-homepage-default.properties

cat << 'EOF' > $RPM_BUILD_ROOT%{_sbindir}/%{name}-chrome+xpcom-generate
#!/bin/sh
umask 022
rm -f %{_libdir}/%{name}/components/{compreg,xpti}.dat

# it attempts to touch files in $HOME/.mozilla
# beware if you run this with sudo!!!
export HOME=$(mktemp -d)
# also TMPDIR could be pointing to sudo user's homedir
unset TMPDIR TMP || :

#LD_LIBRARY_PATH=%{_libdir}/%{name}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH} %{_libdir}/%{name}/regxpcom
%{_libdir}/%{name}/firefox -register

rm -rf $HOME
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
if [ -d %{_libdir}/%{name}/dictionaries ] && [ ! -L %{_libdir}/%{name}/dictionaries ]; then
	mv -v %{_libdir}/%{name}/dictionaries{,.rpmsave}
fi
for d in chrome defaults extensions greprefs icons res searchplugins; do
	if [ -d %{_libdir}/%{name}/$d ] && [ ! -L %{_libdir}/%{name}/$d ]; then
		install -d %{_datadir}/%{name}
		mv %{_libdir}/%{name}/$d %{_datadir}/%{name}/$d
	fi
done
exit 0

%post
%{_sbindir}/%{name}-chrome+xpcom-generate
%if %{without xulrunner}
%update_browser_plugins
%endif

%postun
%if %{without xulrunner}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%endif

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/firefox
%attr(755,root,root) %{_sbindir}/%{name}-chrome+xpcom-generate

%if %{without xulrunner}
# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist
%endif

%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libjemalloc.so
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/libmozjs.so
%attr(755,root,root) %{_libdir}/%{name}/libxpcom.so
%attr(755,root,root) %{_libdir}/%{name}/libxul.so
%endif
%{_libdir}/%{name}/blocklist.xml

%if %{with crashreporter}
%{_libdir}/%{name}/crashreporter
%{_libdir}/%{name}/crashreporter-override.ini
%{_libdir}/%{name}/crashreporter.ini
%{_libdir}/%{name}/Throbber-small.gif
%endif

# config?
%{_libdir}/%{name}/.autoreg
%{_libdir}/%{name}/application.ini

%dir %{_libdir}/%{name}/components

%{_libdir}/%{name}/components/aboutRobots.js
%{_libdir}/%{name}/components/FeedConverter.js
%{_libdir}/%{name}/components/FeedWriter.js
%{_libdir}/%{name}/components/WebContentConverter.js
%{_libdir}/%{name}/components/browser.xpt
%{_libdir}/%{name}/components/fuelApplication.js
%{_libdir}/%{name}/components/nsBrowserContentHandler.js
%{_libdir}/%{name}/components/nsBrowserGlue.js
%{_libdir}/%{name}/components/nsBadCertHandler.js
%{_libdir}/%{name}/components/nsMicrosummaryService.js
%{_libdir}/%{name}/components/nsPlacesTransactionsService.js
%{_libdir}/%{name}/components/nsSafebrowsingApplication.js
%{_libdir}/%{name}/components/nsSearchService.js
%{_libdir}/%{name}/components/nsSearchSuggestions.js
%{_libdir}/%{name}/components/nsSessionStartup.js
%{_libdir}/%{name}/components/nsSessionStore.js
%{_libdir}/%{name}/components/nsSetDefaultBrowser.js
%{_libdir}/%{name}/components/nsSidebar.js
%if %{without xulrunner}
%{_libdir}/%{name}/platform.ini
%{_libdir}/%{name}/components/FeedProcessor.js
%{_libdir}/%{name}/components/jsconsole-clhandler.js
%{_libdir}/%{name}/components/nsAddonRepository.js
%{_libdir}/%{name}/components/nsBlocklistService.js
%{_libdir}/%{name}/components/nsContentDispatchChooser.js
%{_libdir}/%{name}/components/nsContentPrefService.js
%{_libdir}/%{name}/components/nsDefaultCLH.js
%{_libdir}/%{name}/components/nsDownloadManagerUI.js
%{_libdir}/%{name}/components/nsExtensionManager.js
%{_libdir}/%{name}/components/nsFilePicker.js
%{_libdir}/%{name}/components/nsHandlerService.js
%{_libdir}/%{name}/components/nsHelperAppDlg.js
%{_libdir}/%{name}/components/nsLivemarkService.js
%{_libdir}/%{name}/components/nsLoginInfo.js
%{_libdir}/%{name}/components/nsLoginManager.js
%{_libdir}/%{name}/components/nsLoginManagerPrompter.js
%{_libdir}/%{name}/components/nsProxyAutoConfig.js
%{_libdir}/%{name}/components/nsTaggingService.js
%{_libdir}/%{name}/components/nsTryToClose.js
%{_libdir}/%{name}/components/nsURLFormatter.js
%{_libdir}/%{name}/components/nsUpdateService.js
%{_libdir}/%{name}/components/nsUrlClassifierLib.js
%{_libdir}/%{name}/components/nsUrlClassifierListManager.js
%{_libdir}/%{name}/components/nsWebHandlerApp.js
%{_libdir}/%{name}/components/pluginGlue.js
%{_libdir}/%{name}/components/storage-Legacy.js
%{_libdir}/%{name}/components/txEXSLTRegExFunctions.js
%endif

%attr(755,root,root) %{_libdir}/%{name}/components/libbrowsercomps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libbrowserdirprovider.so
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/components/libdbusservice.so
%attr(755,root,root) %{_libdir}/%{name}/components/libimgicon.so
%endif

%if %{with gnomevfs}
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/components/libmozgnome.so
%endif
%attr(755,root,root) %{_libdir}/%{name}/components/libnkgnomevfs.so
%endif

%attr(755,root,root) %{_libdir}/%{name}/*.sh
%attr(755,root,root) %{_libdir}/%{name}/firefox
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/firefox-bin
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%attr(755,root,root) %{_libdir}/%{name}/mozilla-xremote-client
%endif
%{_pixmapsdir}/mozilla-firefox.png
%{_desktopdir}/mozilla-firefox.desktop

# symlinks
%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/extensions
%{_libdir}/%{name}/icons
%{_libdir}/%{name}/modules
%{_libdir}/%{name}/searchplugins
%if %{without xulrunner}
%{_libdir}/%{name}/dictionaries
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/res
%endif

# browserconfig
%{_libdir}/%{name}/browserconfig.properties

%{_libdir}/%{name}/README.txt

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/chrome
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/searchplugins
%if %{without xulrunner}
%{_datadir}/%{name}/greprefs
%{_datadir}/%{name}/res
%endif

%dir %{_datadir}/%{name}/extensions
# -dom-inspector subpackage?
#%{_datadir}/%{name}/extensions/inspector@mozilla.org
# the signature of the default theme
%{_datadir}/%{name}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}

# files created by regxpcom and firefox -register
%ghost %{_libdir}/%{name}/components/compreg.dat
%ghost %{_libdir}/%{name}/components/xpti.dat

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox.spec,v $
Revision 1.259  2008/10/02 09:15:10  glen
- ac xorg deps

Revision 1.258  2008/09/25 01:58:22  glen
-  add libjemalloc.so to _noautoreq

Revision 1.257  2008/09/24 15:27:07  paszczus
- updated to 3.0.2

Revision 1.256  2008/09/23 21:33:46  sparky
- TODO: -remote conflicts with -P option, wrapper script should be fixed

Revision 1.255  2008/07/22 19:46:28  pawelz
- BR: python-modules

Revision 1.254  2008/07/22 06:26:20  qboosh
- updated deps and noauto* magic
- hunspell (myspell replacement) is not used in this build

Revision 1.253  2008/07/17 22:36:31  shadzik
- 3.0.1

Revision 1.252  2008/06/25 09:24:26  glen
- add todo

Revision 1.251  2008/06/22 20:13:47  hawk
- updated TODO, seems pretty complete to me, release 3

Revision 1.250  2008/06/22 13:16:07  hawk
- updated TODO, Rs/BRs and noauto stuff must remain
- updated xulrunner R

Revision 1.249  2008/06/22 11:59:38  hawk
- release 2.5, don't require so damn much clicks to enter SSL site protected
  with self-signed or otherwise invalid SSL certificate

Revision 1.248  2008/06/21 18:15:53  hawk
- fix for compilation errors when building with system nss

Revision 1.247  2008/06/21 14:43:41  hawk
- added branding and prefs patches, see their commitlogs for details
  on what has been changed

Revision 1.246  2008/06/21 10:43:35  hawk
- fixed vesion in xulrunner BR

Revision 1.245  2008/06/21 10:36:50  hawk
- added bcond to build with system xulrunner it builds and works but
  keep it disabled until TODO is finished
- updated TODO

Revision 1.244  2008/06/19 21:16:02  hawk
- updated nss R/BR to proper version release so firefox will use system nss
- BR sqlite3-devel, build with system sqlite3
- updated TODO, NFY

Revision 1.243  2008/06/18 12:13:51  hawk
- fixed patch4 name

Revision 1.242  2008/06/18 11:40:43  hawk
- merged Titanium user agent patch from FF 2.x

Revision 1.241  2008/06/17 18:00:03  glen
- drop crashreporter todo, simplify

Revision 1.240  2008/06/17 17:52:53  patrys
- merged from DEVEL
- dropped unused configure flags
- always disable crashreporter as we're supposed to do not shipping official packages
- rel 2 (1.1 on DEVEL)

Revision 1.228.4.35  2008/06/17 17:26:00  glen
- rel 1.1 due: 3.0-0.rc3.0.2 > 3.0-0.1

Revision 1.228.4.34  2008/06/17 14:43:17  glen
- 3.0 final tarball

Revision 1.228.4.33  2008-06-12 10:22:38  shadzik
- 3.0rc3

Revision 1.228.4.32  2008-06-10 11:01:06  glen
- cleanups, attrs for shared libs
- kerberos dep for ac

Revision 1.228.4.31  2008-06-05 09:49:51  shadzik
- 3.0rc2

Revision 1.228.4.30  2008-05-27 06:36:09  glen
- Throbber-small.gif cames with crashreporter

Revision 1.228.4.29  2008-05-27 06:04:36  glen
- cairo >= 1.6.0

Revision 1.228.4.28  2008-05-27 05:27:17  glen
- prepare for AC build

Revision 1.228.4.27  2008-05-23 12:36:28  cactus
- we want some crashraporter files as bcond describes
- Throbber-small.gif added

Revision 1.237  2008/05/24 19:03:18  hawk
- use %pld_release macro and apply proper agent patch, BR: rpm >= 4.4.9-56

Revision 1.228.4.26  2008-05-21 10:14:36  paszczus
- packaged unpackaged files

Revision 1.228.4.25  2008-05-19 10:27:44  paszczus
- updated to 3.0 RC1

Revision 1.228.4.24  2008-05-14 14:50:54  gotar
- fixed --without gnomevfs build

Revision 1.228.4.23  2008-04-03 06:15:33  paszczus
- updated to b5

Revision 1.236  2008-04-24 06:25:35  hawk
- release 2

Revision 1.235  2008-04-18 00:41:04  pluto
- correct release and log.

Revision 1.234  2008-04-17 06:11:58  hawk
- updated to 2.0.0.14, fixes CVE-2008-1380

Revision 1.233  2008-03-27 21:45:20  glen
- release 2

Revision 1.232  2008-03-26 14:00:08  hawk
- updated to 2.0.0.13, fixes CVE-2008-1233, CVE-2008-1234,  CVE-2008-1235,
  CVE-2008-1236, CVE-2008-1237, CVE-2008-1238, CVE-2007-4879,
  CVE-2008-1195, CVE-2008-1240, CVE-2008-1241

Revision 1.228.4.22  2008-03-15 22:26:16  arekm
- remove commented out patches; drop visibility hacks; use -Os instead of -O2; disable strip, xprint; enable startup notification, xinerama, pthreads

Revision 1.228.4.21  2008-03-11 12:23:09  glen
- official tarball

Revision 1.228.4.20  2008-03-11 11:12:54  glen
- 3.0 b4 (using my own checkout)

Revision 1.228.4.19  2008-03-06 22:11:28  glen
- modules was never dir in libdir

Revision 1.228.4.18  2008-03-06 15:49:07  glen
- move modules to datadir
- add --enable-libxul

Revision 1.228.4.17  2008-03-06 00:14:29  glen
- APNG runtime dep

Revision 1.228.4.16  2008-03-06 00:06:00  glen
- R: cairo >= 1.5 as soname is same, but some syms are missing

Revision 1.228.4.15  2008-03-05 23:59:01  glen
- builds and packages

Revision 1.228.4.14  2008-03-05 19:24:59  glen
- gtk+2 epoch

Revision 1.228.4.13  2008-03-04 19:33:15  twittner
- BR: curl-devel & bcond_with_crashreporter / --disable-crashreporter added
  (configure: error: Couldn't find curl/curl.h which is required for the crash
   reporter.  Use --disable-crashreporter to disable the crash reporter.)
- build fails with:
  + /usr/bin/make -j8 -C obj-i686/xpinstall/packager stage-package \
  DESTDIR=/tmp/mozilla-firefox-3.0-root-tw MOZ_PKG_APPDIR=/usr/lib/mozilla-firefox PKG_SKIP_STRIP=1
  make: *** obj-i686/xpinstall/packager: No such file or directory.  Stop.

Revision 1.228.4.12  2008-02-16 18:23:13  glen
- all nspr deps

Revision 1.228.4.11  2008-02-16 15:08:06  paszczus
- BR: nspr >= 4.7 (not 4.6.7)

Revision 1.228.4.10  2008-02-14 12:01:00  glen
- Requested 'cairo >= 1.5.2' but version of cairo is 1.4.14

Revision 1.228.4.9  2008-02-13 11:54:16  glen
- gtk+2 >= 2.10 (gtk+-unix-print-2.0), glib2 (glib-2.0, gobject-2.0)
- agent patch is back as this ver can't be compiled on ac

Revision 1.228.4.8  2008-02-13 11:49:36  glen
- 0.10 is APNG

Revision 1.228.4.7  2008-02-13 11:47:59  glen
- needs APNG enabled libpng (or just use versioned dep?)
- Toolkit must be cairo-gtk2

Revision 1.228.4.6  2008-02-13 10:37:40  glen
- fix source url, skip Th branding while on DEVEL

Revision 1.228.4.5  2008-02-13 10:32:03  glen
- up to beta3, disable patch sources that are not used
- add patch for pango crash from #414239 (by Raul Raat)

Revision 1.228.4.4  2008-02-13 10:30:23  glen
- or was it nspr 4.6.7?

Revision 1.231  2008-02-08 14:43:37  hawk
- doh, updated pango-ligatures.patch for 2.0.0.12
- release 3

Revision 1.230  2008-02-08 08:37:04  hawk
- added CVE references

Revision 1.229  2008-02-08 08:31:09  hawk
- updated to 2.0.0.12, fixes CVE-2008-0594, CVE-2008-0593, CVE-2008-0592,
  CVE-2008-0591, CVE-2008-0419, CVE-2008-0418, CVE-2008-0417,
  CVE-2008-0415, CVE-2008-0414, CVE-2008-0412

Revision 1.228.4.3  2008-01-31 11:57:10  glen
- nspr 4.7, kerberos bcond

Revision 1.228.4.2  2008-01-30 13:26:06  glen
- no beta in version, put it to release

Revision 1.228.4.1  2008-01-30 12:39:41  paszczus
- started update to 3.0b2
- NFY

Revision 1.228  2007-12-25 18:31:58  glen
- rel 2 (1 for ac)

Revision 1.227  2007-12-01 19:06:25  hawk
- updated to 2.0.0.11

Revision 1.226  2007-11-30 17:42:05  arekm
- rel 2; add font fixes from fedora

Revision 1.225  2007-11-27 11:45:26  shadzik
- add CVE references to previous commitlog

Revision 1.224  2007-11-27 10:32:01  shadzik
- 2.0.0.10
- resolves CVE-2007-5960,  CVE-2007-5959,  CVE-2007-5947

Revision 1.223  2007/11/02 09:08:48  shadzik
- 2.0.0.9

Revision 1.222  2007/10/28 13:51:45  hawk
- release 4

Revision 1.221  2007/10/28 13:48:28  hawk
- dropped addon-tidy, screws up auto tags used by builder infrastructure
- renumbered patches, renumbered sources

Revision 1.220  2007/10/28 10:18:08  glen
- cleanups, order configure options
- build to obj dir
- drop -lang-en (included in main pkg)

Revision 1.219  2007/10/23 14:54:48  glen
- drop -libs, no apps should be built against firefox (use xulrunner); rel 2

Revision 1.218  2007/10/20 21:54:11  dzeus
- updated to 2.0.0.8, removed obsolete nopangoxft patch, renumbered patches
- fixes CVE-2007-4841, CVE-2007-5338, CVE-2007-5337, CVE-2007-5334,
  CVE-2007-3511, CVE-2006-2894, CVE-2007-2292, CVE-2007-1095, CVE-2007-5339
  CVE-2007-5340

Revision 1.217  2007/09/19 07:51:44  shadzik
- 2.0.0.7

Revision 1.216  2007/09/11 16:59:41  baggins
- rel 6
- disable tidy (doesn't build)

Revision 1.215  2007/09/05 21:45:06  baggins
- rel 5

Revision 1.214  2007/09/05 15:32:52  qboosh
- merged tidy update from AC-branch (by glen)

Revision 1.213  2007/08/02 20:00:58  qboosh
- updated configure options

Revision 1.212  2007/08/02 19:29:12  qboosh
- unified bconds (separate gnomeui/gnomevfs + gnome alias for convenience)
- apply gnome* bconds to file list

Revision 1.211  2007/08/01 20:02:05  qboosh
- CVE references

Revision 1.210  2007/08/01 17:52:04  arekm
- up to 2.0.0.6 [fixes CVE-2007-3844 CVE-2007-3845]

Revision 1.209  2007/07/19 13:29:29  hawk
- geez! one more place with %{firefox_ver}, trying to bring brain back online

Revision 1.208  2007/07/19 13:25:55  hawk
- blah, use %{firefox_ver} where required

Revision 1.207  2007/07/19 13:21:51  hawk
- moved lang-en subpackage after addon-tidy to workaround rpm determining
  wrong package version

Revision 1.206  2007/07/19 07:01:25  hawk
- tidy 0.8.4.0
- updated version number in %{firefox_ver}
  (any reasons why we can't use %{version} for R: in tidy?)

Revision 1.205  2007/07/18 20:47:41  qboosh
- updated to 2.0.0.5 (merged from AC-branch, by hawk); fixes:
  CVE-2007-3089 CVE-2007-3285 CVE-2007-3656 CVE-2007-3734
  CVE-2007-3735 CVE-2007-3736 CVE-2007-3737 CVE-2007-3738

Revision 1.204  2007/07/13 07:19:27  hawk
- release 2
- cosmetics

Revision 1.203  2007/06/15 22:12:31  qboosh
- BR: opensp-devel with additional headers (>= 2:1.5.2-4)

Revision 1.202  2007/06/05 12:41:03  glen
- tidy extension memory faults

Revision 1.201  2007/06/05 06:24:53  qboosh
- merged addon-tidy from AC-branch, added pl

Revision 1.200  2007/06/04 21:32:14  qboosh
- removed duplicate

Revision 1.199  2007/06/04 21:12:14  glen
- verbose components files

Revision 1.198  2007/06/04 20:00:25  qrczak
- Fixed bcond comment

Revision 1.197  2007/06/04 15:28:05  glen
- bcond tidy patch

Revision 1.196  2007/06/04 15:26:37  glen
- hook in tidy (htmlvalidator) extension

Revision 1.195  2007/06/03 08:10:41  qboosh
- no need to _noautoreqdep sonames already eliminated by _noautoreq

Revision 1.194  2007/06/02 19:12:41  qboosh
- don't provide sonames which xulrunner should provide

Revision 1.193  2007/06/01 16:47:58  qboosh
- CVE references

Revision 1.192  2007/05/31 16:25:09  arekm
- gcc hack patch no longer needed; bug fixed in gcc

Revision 1.191  2007/05/31 16:23:13  shadzik
- 2.0.0.4
  [fixes CVE-2007-1362 CVE-2007-2867 CVE-2007-2868 CVE-2007-2869 CVE-2007-2870 CVE-2007-2871]

Revision 1.190  2007/04/09 19:56:27  arekm
- rebuild with pretrans

Revision 1.189  2007/04/09 19:45:04  arekm
- use pretrans instead of pre

Revision 1.188  2007/03/31 22:40:09  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.187  2007/03/23 08:10:38  ankry
- WWW to nie siec

Revision 1.186  2007/03/22 23:55:10  wrobell
- fixed pl description

Revision 1.185  2007/03/21 08:12:27  spider
- up to 2.0.0.3
- rel 1
- build
- STBR
- ready for test

Revision 1.184  2007/03/09 20:49:15  qboosh
- added CVE references to 2.0.0.2 upgrade changelog

Revision 1.183  2007/03/06 01:43:41  glen
- do not satisfy deps for xulrunner-devel

Revision 1.182  2007/03/04 23:01:22  glen
- dictionaries fixes from AC-branch

Revision 1.181  2007/03/04 20:32:34  glen
- use system myspell

Revision 1.180  2007/02/28 15:07:10  spider
- more marketing user agent

Revision 1.179  2007/02/27 19:55:59  arekm
- rel 3

Revision 1.178  2007/02/26 09:12:03  arekm
- rel 2; temporary hack for gcc 4.2

Revision 1.177  2007/02/23 20:40:01  rotom
- up to 2.0.0.2
  [fixes CVE-2006-6077 CVE-2007-0008 CVE-2007-0009 CVE-2007-0775 CVE-2007-0776
  CVE-2007-0777 CVE-2007-0778 CVE-2007-0779 CVE-2007-0780 CVE-2007-0800
  CVE-2007-0981 CVE-2007-0994 CVE-2007-0995 CVE-2007-0996 CVE-2007-1092]
- works for me on x86_64

Revision 1.176  2007/02/16 23:52:04  arekm
- add -fno-stack-protector

Revision 1.175  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.174  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.173  2007/02/07 20:24:14  pluto
- another workaround for funky mozilla sources...

Revision 1.172  2007/01/29 23:08:36  glen
- AC-branch merge (hawk):
  s/Mozilla Firefox/Firefox Community Edition/, "Mozilla Firefox"
  is a registered trademark and we can't use that name

Revision 1.171  2007/01/25 12:53:37  glen
- enable SVG (merge from AC-branch)

Revision 1.170  2007/01/25 12:52:32  glen
- drop -devel, use xulrunner-devel instead; rel 3

Revision 1.169  2007/01/09 23:07:08  glen
- R browser-plugins2

Revision 1.168  2007/01/09 22:51:05  glen
- move arch independant files to datadir
- now creating noarch dictionaries, languages and extensions possible
- rel 2 to denote the version for deps

Revision 1.167  2007/01/09 15:04:47  glen
- discard _firefoxdir macro

Revision 1.166  2006/12/23 02:10:23  glen
- browser plugins v2 unleashed

Revision 1.165  2006/12/23 01:48:03  glen
- install speedup

Revision 1.164  2006/12/21 12:39:18  qboosh
- up to 2.0.0.1 (untested)
  (fixes CVE-2006-6497 CVE-2006-6498 CVE-2006-6499 CVE-2006-6500 CVE-2006-6501
  CVE-2006-6502 CVE-2006-6503 CVE-2006-6504 CVE-2006-6506 CVE-2006-6507)

Revision 1.163  2006/12/19 22:47:31  qboosh
- pl for -libs

Revision 1.162  2006/12/19 19:59:45  arekm
- rel 3; rebuild again

Revision 1.161  2006/12/08 17:51:23  glen
- bogus deps dropped

Revision 1.160  2006/12/05 12:32:49  glen
- copy from DEVEL

Revision 1.95.2.62  2006/11/26 11:34:43  glen
- -libs split

Revision 1.95.2.61  2006/11/22 18:40:58  patrys
- no icon branding

Revision 1.95.2.60  2006/11/22 18:17:04  glen
- remove unfinished libs check

Revision 1.95.2.59  2006/11/22 18:04:44  glen
- package extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd} otherwise the
  default theme won't show up in the selector. thx patrys.

Revision 1.95.2.58  2006/11/22 13:01:06  patrys
- builds and works as expected on x86 and x86_64
- rel 1
- please stop adding configure options if you have no idea what they do

Revision 1.95.2.57  2006/11/22 08:47:05  patrys
- patch4 is illegal if official branding is off

Revision 1.95.2.56  2006/11/21 23:10:15  patrys
- further cuts of unneeded options
- same bug remains

Revision 1.95.2.55  2006/11/21 17:49:19  patrys
- further cuts in configure (removed defaults and experimental stuff)
- still opens an extra window for each tab

Revision 1.95.2.54  2006/11/18 15:34:26  glen
- add libxpcom_core.so to _noautoreqdep

Revision 1.95.2.53  2006/11/18 15:24:31  glen
- todo update

Revision 1.95.2.52  2006/11/18 14:47:56  glen
- unpackaged files todo

Revision 1.95.2.51  2006/11/17 12:35:32  glen
- (from mozilla-lightning): don't enable elf-dynstr-gc, it's x86-only (and automatically enabled there)

Revision 1.95.2.50  2006/11/17 02:14:54  patrys
- rel up, drop BR: jdk

Revision 1.95.2.49  2006/11/17 01:10:45  patrys
- the first version not to die with "memory segmentation fault"
- java breaks things
- native-uconv causes no encodings to be supported

Revision 1.95.2.48  2006/11/12 14:45:24  glen
- todo cleanup

Revision 1.95.2.47  2006/11/12 14:41:58  glen
- -searchplugins.patch seems for < 2.0

Revision 1.95.2.46  2006/11/04 23:31:19  glen
- chrome.rdf and overlayinfo/*/*/*.rdf don't exist

Revision 1.95.2.45  2006/11/03 14:14:59  glen
- cleanups; package devel files just once

Revision 1.95.2.44  2006/11/03 13:46:20  glen
- remove --disable-v1-string-abi, it was cause of memory faults
- cleanups in spec and chrome+xpcom-generate
- package dictionaries dir
- remove {cf2812dc-6a7c-4402-b639-4d277dac4c36} extension (not built)

Revision 1.95.2.43  2006/11/03 13:00:13  glen
- javaxpcom bcond

Revision 1.95.2.42  2006/11/02 21:31:53  glen
- avoid searching for provides from internal components

Revision 1.95.2.41  2006/11/02 19:50:49  patrys
- do not touch the extensions, all mozilla products have a preset list of extensions

Revision 1.95.2.40  2006/11/02 14:59:40  qboosh
- note that ac patch is ready

Revision 1.95.2.39  2006/11/02 14:31:10  glen
- R: nss-devel for -devel

Revision 1.95.2.38  2006/11/02 14:23:14  glen
- use nss-devel that provides nss-config, drop nss patches

Revision 1.95.2.37  2006/11/02 13:48:29  qboosh
- require nspr >= 4.6.3 (as in sources)

Revision 1.95.2.36  2006/11/01 09:25:05  glen
- package all files!

Revision 1.95.2.35  2006/11/01 09:22:01  glen
- package some files

Revision 1.95.2.34  2006/11/01 09:18:18  glen
- seems javaxpcom needs jsd
- try dropping probably obsolete hacks

Revision 1.95.2.33  2006/11/01 00:48:20  glen
- added more configure options, reviewed them
- install section cleanup and skip tgz step
- firefox-chrome+xpcom-generate cleanup and comments
- postun dropped (should be done as ghost files instead)

Revision 1.95.2.32  2006/10/26 09:26:09  arekm
- 0.2

Revision 1.95.2.31  2006/10/24 23:51:55  glen
- 2.0 tarball

Revision 1.95.2.30  2006/10/02 13:54:29  glen
- disable strip from building, we do that anyway in rpm

Revision 1.95.2.29  2006/10/01 22:02:23  czarny
- a lot of TODO
- further tweaked .mozconfig
- found out which config options break later functioning
- libnssckbi.so hack (nasty - needs fixing)
- build, runns, looks like mozilla FF - probabely is a mozilla FF
- needs some twaeking and ready for PLD!

Revision 1.95.2.28  2006/10/01 16:49:51  glen
- typo

Revision 1.95.2.27  2006/10/01 14:06:24  czarny
- merged from HEAD
- up to 2.0rc1
- added config options
- reverted not appliable nss patches
- forced sysnss via .mozconfig
- tweaked .mozconfig generation
- reverted official mozilla build (we can't do that!)
- updated name.patch
- overall fixes
- added TODO
- NFY
